<?php

namespace Container\Mail;

use Helpers\Trad\Trad;

class BrIncMailAch extends AbsMail
{
    public function getSujet(): string
    {
        return Trad::strBuild(
            $this->trad->t('Incident sur la commande n° @1@ du Fournisseur @2@'),
            $this->listeData['NO_CDE'],
            $this->listeData['CODE_FOU']
        );
    }

    public function getMessage() : string
    {
        return implode("\r\n", [
            Trad::strBuild($this->trad->t('N° de poste de la commande @1@'), $this->listeData['NO_PO_CDE']),
            Trad::strBuild($this->trad->t('N° de BR @1@, N° de poste de BR @2@'), $this->listeData['NUM_BR'], $this->listeData['NO_PO_BR']),
            $this->listeData['DESIGN_ART'],
            Trad::strBuild($this->trad->t('Type d\'incident : @1@'), $this->listeData['TYP_INC']),
            Trad::strBuild($this->trad->t('Catégorie d\'incident : @1@'), $this->listeData['CAT_INC']),
            Trad::strBuild($this->trad->t('Quantité concernée : @1@'), $this->listeData['QTE_REFUS']),
        ]);
    }
}
